Skip to main content
PATCH
Update sub-account

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Sub-account ID.

Body

application/json
name
string
externalId
string
creditLimit
integer | null
Required range: x >= 0
metadata
object
status
enum<string>

active and inactive are set with PATCH. pending_deletion is read-only: the sub-account was deactivated with DELETE, its API keys are revoked, and it is removed after 14 days.

Available options:
active,
inactive,
pending_deletion

Response

Sub-account updated.

subAccount
object
required